package rpc

import (
	"fmt"
	"google.golang.org/grpc"
	"os"
	"strings"
)

// GetServiceConn 获取服务的连接
func GetServiceConn(serviceName string) *grpc.ClientConn {
	target := strings.ToUpper(os.Getenv("SERVICE_" + serviceName))
	cli, err := grpc.Dial(target, grpc.WithInsecure())
	if err != nil {
		fmt.Println("target: " + target + " err: " + err.Error())
		return nil
	}
	return cli
}
